Patching with OPatch when Oracle10G UI is installed Forums - Powered by vBulletin
Results 1 to 2 of 2

Thread: Patching with OPatch when Oracle10G UI is installed

  1. #1
    Join Date
    Aug 2002
    Sofia, Bulgaria

    Patching with OPatch when Oracle10G UI is installed

    Hi All,
    I have an database which I am trying to update with the new patch (for security alert #68) on Windows 2000.
    But when I start with perl.exe the I am receiving the following java error:

    Checking if this is a RAC system...

    Exception in thread "main" java.lang.NoClassDefFoundError: oracle/xml/parser/v2/
    at oracle.sysman.oii.oiii.OiiiInstallAreaControl.loadPartialInstallInv(O
    at oracle.sysman.oii.oiii.OiiiInstallAreaControl.initInstallInv(OiiiInst

    d:\opatch\ version:
    Copyright (c) 2001,2002,2003 Oracle Corporation. All Rights Reserved.

    Cannot set up OUI inventory session

    I think that the problem is the newer version of the Oracle Universal Installer - (from Oracle 10G Installation CD)
    On some other PC I have the same problem with the same version of OUI.
    But the installation was successfull on all other PCs, which have oldest version of OUI.

    Any suggestion how to relocate java classes to look in older version of OUI will be very helful.
    Or of course some suggestion for other workarounds.
    Radoslav Rusinov
    OCP 8i,9i,10g DBA

  2. #2
    Join Date
    Aug 2002
    open a tar and demand an odc oracle direct connect and let them patch it for you, also complain to the duty manager - optach is such crap
    I'm stmontgo and I approve of this message

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts

Click Here to Expand Forum to Full Width